VTK: vtkPlotPie Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkPlotPie Class Reference

Class for drawing a Pie diagram. More...

`#include <vtkPlotPie.h>`

Inheritance diagram for vtkPlotPie:
[legend]
Collaboration diagram for vtkPlotPie:
[legend]

## Public Types
typedef vtkPlot | Superclass
Public Types inherited from vtkPlot
typedef vtkContextItem | Superclass
Public Types inherited from vtkContextItem
typedef vtkAbstractContextItem | Superclass
Public Types inherited from vtkAbstractContextItem
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkPlotPie * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
bool | Paint (vtkContext2D *painter) override
| Paint event for the item. More...
bool | PaintLegend (vtkContext2D *painter, const vtkRectf &rect, int legendIndex) override
| Paint legend event for the XY plot, called whenever the legend needs the plot items symbol/mark/line drawn. More...
void | SetDimensions (int arg1, int arg2, int arg3, int arg4)
| Set the dimensions of the pie, arguments 1 and 2 are the x and y coordinate of the bottom corner. More...
void | SetDimensions (const int arg[4])
| Set the dimensions of the pie, elements 0 and 1 are the x and y coordinate of the bottom corner. More...
void | SetColorSeries (vtkColorSeries *colorSeries)
| Set the color series to use for the Pie. More...
vtkColorSeries * | GetColorSeries ()
| Get the color series used. More...
vtkIdType | GetNearestPoint (const vtkVector2f &point, const vtkVector2f &tolerance, vtkVector2f *location, vtkIdType *segmentId) override
| Function to query a plot for the nearest point to the specified coordinate. More...
bool | UpdateCache () override
| Update the internal cache. More...
virtual vtkIdType | GetNearestPoint (const vtkVector2f &point, const vtkVector2f &tolerance, vtkVector2f *location, vtkIdType *segmentId)
| Function to query a plot for the nearest point to the specified coordinate. More...
virtual int * | GetDimensions ()
| Get the dimensions of the pie, elements 0 and 1 are the x and y coordinate of the bottom corner. More...
virtual void | GetDimensions (int &, int &, int &, int &)
| Get the dimensions of the pie, elements 0 and 1 are the x and y coordinate of the bottom corner. More...
virtual void | GetDimensions (int[4])
| Get the dimensions of the pie, elements 0 and 1 are the x and y coordinate of the bottom corner. More...
Public Member Functions inherited from vtkPlot
vtkPlot * | NewInstance () const
void | Update () override
| Perform any updates to the item that may be necessary before rendering. More...
virtual vtkStdString | GetTooltipLabel (const vtkVector2d &plotPos, vtkIdType seriesIndex, vtkIdType segmentIndex)
| Generate and return the tooltip label string for this plot The segmentIndex parameter is ignored, except for vtkPlotBar. More...
virtual bool | SelectPoints (const vtkVector2f &min, const vtkVector2f &max)
| Select all points in the specified rectangle. More...
virtual bool | SelectPointsInPolygon (const vtkContextPolygon &polygon)
| Select all points in the specified polygon. More...
virtual void | SetColor (unsigned char r, unsigned char g, unsigned char b, unsigned char a)
| Set the plot color with integer values (comprised between 0 and 255) More...
void | GetColor (unsigned char rgb[3])
| Get the plot color as integer rgb values (comprised between 0 and 255) More...
virtual void | SetLabel (const vtkStdString &label)
| Set the label of this plot. More...
virtual vtkStdString | GetLabel ()
| Get the label of this plot. More...
virtual void | SetLabels (vtkStringArray *labels)
| Set the plot labels, these are used for stacked chart variants, with the index referring to the stacking index. More...
virtual vtkStringArray * | GetLabels ()
| Get the plot labels. More...
virtual int | GetNumberOfLabels ()
| Get the number of labels associated with this plot. More...
vtkStdString | GetLabel (vtkIdType index)
| Get the label at the specified index. More...
void | SetIndexedLabels (vtkStringArray *labels)
| Set indexed labels for the plot. More...
virtual vtkStringArray * | GetIndexedLabels ()
| Get the indexed labels array. More...
vtkContextMapper2D * | GetData ()
| Get the data object that the plot will draw. More...
virtual vtkTable * | GetInput ()
| Get the input table used by the plot. More...
vtkAlgorithmOutput * | GetInputConnection ()
| Get the input connection used by the plot. More...
virtual void | SetInputArray (int index, const vtkStdString &name)
| Convenience function to set the input arrays. More...
virtual void | GetBounds (double bounds[4])
| Get the bounds for this plot as (Xmin, Xmax, Ymin, Ymax). More...
virtual void | GetUnscaledInputBounds (double bounds[4])
| Provide un-log-scaled bounds for the plot inputs. More...
bool | Hit (const vtkContextMouseEvent &mouse) override
| Returns true if the supplied x, y coordinate is inside the item. More...
virtual void | SetLegendVisibility (bool)
| Set whether the plot renders an entry in the legend. More...
virtual bool | GetLegendVisibility ()
| Set whether the plot renders an entry in the legend. More...
virtual void | LegendVisibilityOn ()
| Set whether the plot renders an entry in the legend. More...
virtual void | LegendVisibilityOff ()
| Set whether the plot renders an entry in the legend. More...
virtual void | SetTooltipLabelFormat (const vtkStdString &label)
| Sets/gets a printf-style string to build custom tooltip labels from. More...
virtual vtkStdString | GetTooltipLabelFormat ()
| Sets/gets a printf-style string to build custom tooltip labels from. More...
virtual void | SetTooltipNotation (int notation)
| Sets/gets the tooltip notation style. More...
virtual int | GetTooltipNotation ()
| Sets/gets the tooltip notation style. More...
virtual void | SetTooltipPrecision (int precision)
| Sets/gets the tooltip precision. More...
virtual int | GetTooltipPrecision ()
| Sets/gets the tooltip precision. More...
virtual void | SetColorF (double r, double g, double b, double a)
| Set the plot color with floating values (comprised between 0.0 and 1.0) More...
virtual void | SetColorF (double r, double g, double b)
| Set the plot color with floating values (comprised between 0.0 and 1.0) More...
virtual void | SetColor (double r, double g, double b)
| Set the plot color with floating values (comprised between 0.0 and 1.0) More...
virtual void | GetColorF (double rgb[3])
| Get the plot color as floating rgb values (comprised between 0.0 and 1.0) More...
virtual void | GetColor (double rgb[3])
| Get the plot color as floating rgb values (comprised between 0.0 and 1.0) More...
virtual void | SetWidth (float width)
| @ More...
virtual float | GetWidth ()
| Get the width of the line. More...
void | SetPen (vtkPen *pen)
| Set/get the vtkPen object that controls how this plot draws (out)lines. More...
vtkPen * | GetPen ()
| Get the plot color as floating rgb values (comprised between 0.0 and 1.0) More...
void | SetBrush (vtkBrush *brush)
| Set/get the vtkBrush object that controls how this plot fills shapes. More...
vtkBrush * | GetBrush ()
| Set/get the vtkBrush object that controls how this plot fills shapes. More...
void | SetSelectionPen (vtkPen *pen)
| Set/get the vtkBrush object that controls how this plot fills selected shapes. More...
vtkPen * | GetSelectionPen ()
| Set/get the vtkBrush object that controls how this plot fills selected shapes. More...
void | SetSelectionBrush (vtkBrush *brush)
| Set/get the vtkBrush object that controls how this plot fills selected shapes. More...
vtkBrush * | GetSelectionBrush ()
| Set/get the vtkBrush object that controls how this plot fills selected shapes. More...
virtual bool | GetUseIndexForXSeries ()
| Use the Y array index for the X value. More...
virtual void | SetUseIndexForXSeries (bool)
| Use the Y array index for the X value. More...
virtual void | SetInputData (vtkTable *table)
| This is a convenience function to set the input table and the x, y column for the plot. More...
virtual void | SetInputData (vtkTable *table, const vtkStdString &xColumn, const vtkStdString &yColumn)
| This is a convenience function to set the input table and the x, y column for the plot. More...
void | SetInputData (vtkTable *table, vtkIdType xColumn, vtkIdType yColumn)
| This is a convenience function to set the input table and the x, y column for the plot. More...
virtual void | SetInputConnection (vtkAlgorithmOutput *input)
| This is a convenience function to set the input connection for the plot. More...
virtual void | SetSelectable (bool)
| Set whether the plot can be selected. More...
virtual bool | GetSelectable ()
| Set whether the plot can be selected. More...
virtual void | SelectableOn ()
| Set whether the plot can be selected. More...
virtual void | SelectableOff ()
| Set whether the plot can be selected. More...
virtual void | SetSelection (vtkIdTypeArray *id)
| Sets the list of points that must be selected. More...
virtual vtkIdTypeArray * | GetSelection ()
| Sets the list of points that must be selected. More...
virtual vtkAxis * | GetXAxis ()
| Get/set the X axis associated with this plot. More...
virtual void | SetXAxis (vtkAxis *axis)
| Get/set the X axis associated with this plot. More...
virtual vtkAxis * | GetYAxis ()
| Get/set the Y axis associated with this plot. More...
virtual void | SetYAxis (vtkAxis *axis)
| Get/set the Y axis associated with this plot. More...
void | SetShiftScale (const vtkRectd &shiftScale)
| Get/set the origin shift and scaling factor used by the plot, this is normally 0.0 offset and 1.0 scaling, but can be used to render data outside of the single precision range. More...
vtkRectd | GetShiftScale ()
| Get/set the origin shift and scaling factor used by the plot, this is normally 0.0 offset and 1.0 scaling, but can be used to render data outside of the single precision range. More...
virtual void | SetProperty (const vtkStdString &property, const vtkVariant &var)
| A General setter/getter that should be overridden. More...
virtual vtkVariant | GetProperty (const vtkStdString &property)
| A General setter/getter that should be overridden. More...
virtual bool | ClampPos (double pos[2])
| Clamp the given 2D pos into the provided bounds Return true if the pos has been clamped, false otherwise. More...
Public Member Functions inherited from vtkContextItem
vtkContextItem * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | SetTransform (vtkContextTransform *)
| Set the transform of the item. More...
virtual double | GetOpacity ()
| Get the opacity of the item. More...
virtual void | SetOpacity (double)
| Set the opacity of the item. More...
Public Member Functions inherited from vtkAbstractContextItem
vtkAbstractContextItem * | NewInstance () const
virtual bool | PaintChildren (vtkContext2D *painter)
| Paint the children of the item, should be called whenever the children need to be rendered. More...
virtual void | ReleaseGraphicsResources ()
| Release graphics resources hold by the item. More...
vtkIdType | AddItem (vtkAbstractContextItem *item)
| Add child items to this item. More...
bool | RemoveItem (vtkAbstractContextItem *item)
| Remove child item from this item. More...
bool | RemoveItem (vtkIdType index)
| Remove child item from this item. More...
vtkAbstractContextItem * | GetItem (vtkIdType index)
| Get the item at the specified index. More...
vtkIdType | GetItemIndex (vtkAbstractContextItem *item)
| Get the index of the specified item in itemIndex. More...
vtkIdType | GetNumberOfItems ()
| Get the number of child items. More...
void | ClearItems ()
| Remove all child items from this item. More...
vtkIdType | Raise (vtkIdType index)
| Raises the child to the top of the item's stack. More...
virtual vtkIdType | StackAbove (vtkIdType index, vtkIdType under)
| Raises the child above the under sibling. More...
vtkIdType | Lower (vtkIdType index)
| Lowers the child to the bottom of the item's stack. More...
virtual vtkIdType | StackUnder (vtkIdType child, vtkIdType above)
| Lowers the child under the above sibling. More...
virtual vtkAbstractContextItem * | GetPickedItem (const vtkContextMouseEvent &mouse)
| Return the item under the mouse. More...
virtual bool | MouseEnterEvent (const vtkContextMouseEvent &mouse)
| Mouse enter event. More...
virtual bool | MouseMoveEvent (const vtkContextMouseEvent &mouse)
| Mouse move event. More...
virtual bool | MouseLeaveEvent (const vtkContextMouseEvent &mouse)
| Mouse leave event. More...
virtual bool | MouseButtonPressEvent (const vtkContextMouseEvent &mouse)
| Mouse button down event Return true if the item holds the event, false if the event can be propagated to other items. More...
virtual bool | MouseButtonReleaseEvent (const vtkContextMouseEvent &mouse)
| Mouse button release event. More...
virtual bool | MouseDoubleClickEvent (const vtkContextMouseEvent &mouse)
| Mouse button double click event. More...
virtual bool | MouseWheelEvent (const vtkContextMouseEvent &mouse, int delta)
| Mouse wheel event, positive delta indicates forward movement of the wheel. More...
virtual bool | KeyPressEvent (const vtkContextKeyEvent &key)
| Key press event. More...
virtual bool | KeyReleaseEvent (const vtkContextKeyEvent &key)
| Key release event. More...
virtual void | SetScene (vtkContextScene *scene)
| Set the vtkContextScene for the item, always set for an item in a scene. More...
vtkContextScene * | GetScene ()
| Get the vtkContextScene for the item, always set for an item in a scene. More...
virtual void | SetParent (vtkAbstractContextItem *parent)
| Set the parent item. More...
vtkAbstractContextItem * | GetParent ()
| Get the parent item. More...
virtual vtkVector2f | MapToParent (const vtkVector2f &point)
| Maps the point to the parent coordinate system. More...
virtual vtkVector2f | MapFromParent (const vtkVector2f &point)
| Maps the point from the parent coordinate system. More...
virtual vtkVector2f | MapToScene (const vtkVector2f &point)
| Maps the point to the scene coordinate system. More...
virtual vtkVector2f | MapFromScene (const vtkVector2f &point)
| Maps the point from the scene coordinate system. More...
virtual bool | GetVisible ()
| Get the visibility of the item (should it be drawn). More...
virtual void | SetVisible (bool)
| Set the visibility of the item (should it be drawn). More...
virtual bool | GetInteractive ()
| Get if the item is interactive (should respond to mouse events). More...
virtual void | SetInteractive (bool)
| Set if the item is interactive (should respond to mouse events). More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkTypeBool | IsTypeOf (const char *type)
static vtkPlotPie * | SafeDownCast (vtkObjectBase *o)
static vtkPlotPie * | New ()
Static Public Member Functions inherited from vtkPlot
static vtkTypeBool | IsTypeOf (const char *type)
static vtkPlot * | SafeDownCast (vtkObjectBase *o)
static void | FilterSelectedPoints (vtkDataArray *points, vtkDataArray *selectedPoints, vtkIdTypeArray *selectedIds)
| Utility function that fills up `selectedPoints` with tuples from `points`. More...
static bool | ClampPos (double pos[2], double bounds[4])
| Clamp the given 2D pos into the provided bounds Return true if the pos has been clamped, false otherwise. More...
Static Public Member Functions inherited from vtkContextItem
static vtkTypeBool | IsTypeOf (const char *type)
static vtkContextItem * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkAbstractContextItem
static vtkTypeBool | IsTypeOf (const char *type)
static vtkAbstractContextItem * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkPlotPie ()
| ~vtkPlotPie () override
Protected Member Functions inherited from vtkPlot
| vtkPlot ()
| ~vtkPlot () override
vtkStdString | GetNumber (double position, vtkAxis *axis)
| Get the properly formatted number for the supplied position and axis. More...
virtual bool | CacheRequiresUpdate ()
| Test if the internal cache requires an update. More...
virtual void | TransformScreenToData (const vtkVector2f &in, vtkVector2f &out)
| Transform the mouse event in the control-points space. More...
virtual void | TransformDataToScreen (const vtkVector2f &in, vtkVector2f &out)
| Transform the mouse event in the control-points space. More...
virtual void | TransformScreenToData (double inX, double inY, double &outX, double &outY)
| Transform the mouse event in the control-points space. More...
virtual void | TransformDataToScreen (double inX, double inY, double &outX, double &outY)
| Transform the mouse event in the control-points space. More...
Protected Member Functions inherited from vtkContextItem
| vtkContextItem ()=default
| ~vtkContextItem () override
Protected Member Functions inherited from vtkAbstractContextItem
| vtkAbstractContextItem ()
| ~vtkAbstractContextItem () override
virtual void | ReleaseGraphicsCache ()
| Release cache entries created by this context item. More...
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
int | Dimensions [4]
vtkSmartPointer< vtkColorSeries > | ColorSeries
| The color series to use for the pie. More...
vtkPoints2D * | Points
| Store a well packed set of angles for the wedges of the pie. More...
Protected Attributes inherited from vtkPlot
vtkTimeStamp | BuildTime
| The point cache is marked dirty until it has been initialized. More...
vtkSmartPointer< vtkPen > | Pen
| This object stores the vtkPen that controls how the plot is drawn. More...
vtkSmartPointer< vtkBrush > | Brush
| This object stores the vtkBrush that controls how the plot is drawn. More...
vtkSmartPointer< vtkPen > | SelectionPen
| This object stores the vtkPen that controls how the selected elements of the plot are drawn. More...
vtkSmartPointer< vtkBrush > | SelectionBrush
| This object stores the vtkBrush that controls how the selected elements of the plot are drawn. More...
vtkSmartPointer< vtkStringArray > | Labels
| Plot labels, used by legend. More...
vtkSmartPointer< vtkStringArray > | AutoLabels
| Holds Labels when they're auto-created. More...
vtkSmartPointer< vtkStringArray > | IndexedLabels
| Holds Labels when they're auto-created. More...
bool | UseIndexForXSeries
| Use the Y array index for the X value. More...
vtkSmartPointer< vtkContextMapper2D > | Data
| This data member contains the data that will be plotted, it inherits from vtkAlgorithm. More...
bool | Selectable
| Whether plot points can be selected or not. More...
vtkIdTypeArray * | Selection
| Selected indices for the table the plot is rendering. More...
vtkAxis * | XAxis
| The X axis associated with this plot. More...
vtkAxis * | YAxis
| The X axis associated with this plot. More...
vtkStdString | TooltipLabelFormat
| A printf-style string to build custom tooltip labels from. More...
vtkStdString | TooltipDefaultLabelFormat
| The default printf-style string to build custom tooltip labels from. More...
int | TooltipNotation
int | TooltipPrecision
vtkRectd | ShiftScale
| The current shift in origin and scaling factor applied to the plot. More...
bool | LegendVisibility
Protected Attributes inherited from vtkContextItem
double | Opacity = 1.0
vtkContextTransform * | Transform = nullptr
Protected Attributes inherited from vtkAbstractContextItem
vtkContextScene * | Scene
| Point to the scene the item is on - can be null. More...
vtkAbstractContextItem * | Parent
| Point to the parent item - can be null. More...
vtkContextScenePrivate * | Children
| This structure provides a list of children, along with convenience functions to paint the children etc. More...
bool | Visible
| Store the visibility of the item (default is true). More...
bool | Interactive
| Store whether the item should respond to interactions (default is true). More...
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

Class for drawing a Pie diagram.

Online Examples:

Tests:
  vtkPlotPie (Tests)

Definition at line 37 of file vtkPlotPie.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkPlot vtkPlotPie::Superclass

Definition at line 40 of file vtkPlotPie.h.

## Constructor & Destructor Documentation

## ◆ vtkPlotPie()

vtkPlotPie::vtkPlotPie | ( |  | ) |
| protected

## ◆ ~vtkPlotPie()

vtkPlotPie::~vtkPlotPie | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ IsTypeOf()

static vtkTypeBool vtkPlotPie::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkPlotPie::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkPlot.

## ◆ SafeDownCast()

static vtkPlotPie* vtkPlotPie::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkPlotPie::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkPlot.

## ◆ NewInstance()

vtkPlotPie* vtkPlotPie::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkPlotPie::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkPlot.

## ◆ New()

static vtkPlotPie* vtkPlotPie::New | ( |  | ) |
| static

## ◆ Paint()

bool vtkPlotPie::Paint | ( | vtkContext2D * | painter | ) |
| overridevirtual

Paint event for the item.

Reimplemented from vtkAbstractContextItem.

## ◆ PaintLegend()

bool vtkPlotPie::PaintLegend | ( | vtkContext2D * | painter,
|  | const vtkRectf & | rect,
|  | int | legendIndex
| ) |  |
| overridevirtual

Paint legend event for the XY plot, called whenever the legend needs the plot items symbol/mark/line drawn.

A rect is supplied with the lower left corner of the rect (elements 0 and 1) and with width x height (elements 2 and 3). The plot can choose how to fill the space supplied.

Reimplemented from vtkPlot.

## ◆ SetDimensions() [1/2]

void vtkPlotPie::SetDimensions | ( | int | arg1,
|  | int | arg2,
|  | int | arg3,
|  | int | arg4
| ) |  |

Set the dimensions of the pie, arguments 1 and 2 are the x and y coordinate of the bottom corner.

Arguments 3 and 4 are the width and height.

## ◆ SetDimensions() [2/2]

void vtkPlotPie::SetDimensions | ( | const int | arg[4] | ) |

Set the dimensions of the pie, elements 0 and 1 are the x and y coordinate of the bottom corner.

Elements 2 and 3 are the width and height.

## ◆ GetDimensions() [1/3]

virtual int* vtkPlotPie::GetDimensions | ( |  | ) |
| virtual

Get the dimensions of the pie, elements 0 and 1 are the x and y coordinate of the bottom corner.

Elements 2 and 3 are the width and height.

## ◆ GetDimensions() [2/3]

virtual void vtkPlotPie::GetDimensions | ( | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & |
| ) |  |
| virtual

Get the dimensions of the pie, elements 0 and 1 are the x and y coordinate of the bottom corner.

Elements 2 and 3 are the width and height.

## ◆ GetDimensions() [3/3]

virtual void vtkPlotPie::GetDimensions | ( | int | [4] | ) |
| virtual

Get the dimensions of the pie, elements 0 and 1 are the x and y coordinate of the bottom corner.

Elements 2 and 3 are the width and height.

## ◆ SetColorSeries()

void vtkPlotPie::SetColorSeries | ( | vtkColorSeries * | colorSeries | ) |

Set the color series to use for the Pie.

## ◆ GetColorSeries()

vtkColorSeries* vtkPlotPie::GetColorSeries | ( |  | ) |

Get the color series used.

## ◆ GetNearestPoint() [1/2]

vtkIdType vtkPlotPie::GetNearestPoint | ( | const vtkVector2f & | point,
|  | const vtkVector2f & | tolerance,
|  | vtkVector2f * | location,
|  | vtkIdType * | segmentId
| ) |  |
| overridevirtual

Function to query a plot for the nearest point to the specified coordinate.

Returns the index of the data series with which the point is associated or -1.

Reimplemented from vtkPlot.

## ◆ UpdateCache()

bool vtkPlotPie::UpdateCache | ( |  | ) |
| overridevirtual

Update the internal cache.

Returns true if cache was successfully updated. Default does nothing. This method is called by Update() when either the plot's data has changed or CacheRequiresUpdate() returns true. It is not necessary to call this method explicitly.

Reimplemented from vtkPlot.

## ◆ GetNearestPoint() [2/2]

virtual vtkIdType vtkPlot::GetNearestPoint

Function to query a plot for the nearest point to the specified coordinate.

Returns the index of the data series with which the point is associated, or -1 if no point was found.

## Member Data Documentation

## ◆ Dimensions

int vtkPlotPie::Dimensions[4]
| protected

Definition at line 109 of file vtkPlotPie.h.

## ◆ ColorSeries

vtkSmartPointer<vtkColorSeries> vtkPlotPie::ColorSeries
| protected

The color series to use for the pie.

Definition at line 114 of file vtkPlotPie.h.

## ◆ Points

vtkPoints2D* vtkPlotPie::Points
| protected

Store a well packed set of angles for the wedges of the pie.

Definition at line 119 of file vtkPlotPie.h.

The documentation for this class was generated from the following file:

- Charts/Core/vtkPlotPie.h